import { Box, Button, Text } from "@chakra-ui/react"
import { useNavigate } from "react-router-dom";
import store from "../../store";
function Silder() {
    const navigator = useNavigate();
    const iNav = (path: string) => navigator(path);
    const getURoute = store.auth(((state: { isUserRoute: Object }) => state.isUserRoute));
    return (
        <Box w={"200px"}>
            {
                getURoute.menu_list.map((item: any, index: any) => (
                    <Box key={index}>
                        {item.path_list.length > 0 && <Text fontSize={12} color={"gray.400"} px={4} w={"200px"}>{item.menu_name}</Text>}
                        {
                            item.path_list.map((citem: any, cindex: any) => (
                                <Button onClick={() => iNav(citem.path)} key={cindex} w="100%" mb={"2px"} colorScheme='facebook' variant='ghost'>
                                    {citem.name}
                                </Button>
                            ))
                        }
                    </Box>
                ))
            }
            {getURoute.order_list.length > 0 && <Text fontSize={12} color={"gray.400"} px={4} w={"200px"}>其他</Text>}
            {
                getURoute.order_list.map((citem: any, cindex: any) => (
                    <Button onClick={() => iNav(citem.path)} key={cindex} w="100%" mb={"2px"} colorScheme='facebook' variant='ghost'>
                        {citem.name}
                    </Button>
                ))
            }
        </Box>
    )
}
export default Silder