import { Box, Button, useToast } from "@chakra-ui/react"
import { useState } from "react";
import { FaPlus } from "react-icons/fa";
import AlertDialogExample from "../../components/alert";
import dep from "../../utils/deepClone";
function ProsetAuth() {
  const [menu, setMenu] = useState([]);
  const toast = useToast();
  const [alertRef, setAlertRef] = useState(Object);
  function alertCallback(callback:any) {}
  function save() {
    toast({
      title: '保存成功',
      status: "success",
      isClosable: true,
    })
  }
  return (
    <Box>
      <Box className='header-box-extend'>
        <Button colorScheme='facebook' variant='ghost' leftIcon={<FaPlus />} onClick={() => {
          let newMenu = dep.deepClone(menu);
          newMenu.menu_list.push({ "menu_name": "新预设", "path_list": [] });
          setMenu(newMenu);
        }} >
          添加新预设
        </Button>
        <Button colorScheme='green' onClick={save}>保存</Button>
      </Box>
      <AlertDialogExample setting={(res: Function) => setAlertRef(res)} confirm={(callback: any) => alertCallback(callback)} />
    </Box>
  )
}

export default ProsetAuth