// quill 富文本编辑器
import "react-quill/dist/quill.snow.css";
import ReactQuill from "react-quill";
import { useState } from "react";
const ReactQuillEditor = (props:any) => {
    const [value,setValue] = useState(props.value)
    const handleChangeValue = (value: string) => {setValue(value);props.onSetValue(value)};
    const getModules = () => ({
        toolbar: {
            container: [
                [{ header: [1, 2, 3, 4, 5, false] }],
                ['bold', 'italic', 'underline', 'strike', 'blockquote'],
                [{ color: [] }, { background: [] }],
                [{ list: 'ordered' }, { indent: '-1' }, { indent: '+1' }, { align: [] }], ['link', 'image', 'linkIcon']]
        },
    });
    return (
        <ReactQuill placeholder='键入文字...' theme="snow" value={value} onChange={handleChangeValue} modules={getModules()} />
    );
};


export default ReactQuillEditor;