import { Center, Text, Box, Button } from "@chakra-ui/react"
import { BiCoffeeTogo } from "react-icons/bi";
function I404() {
  return (
    <Center h="100vh">
      <Box display={"flex"} flexDirection={"column"} alignItems="center">
        <Text as='b' fontSize="5xl">404 | Page Not Found</Text>
        <Text fontSize="2xl">You just hit a route that doesn't exist... the sadness.😢</Text>
        <Button mt={4} as={"a"} href="/" colorScheme='teal' size='lg' leftIcon={<BiCoffeeTogo />}>Back to Home</Button>
      </Box>

    </Center>
  )
}

export default I404