/*
用户信息模块
set(局部,替换值)
avatar ： 头像
token : token 
state == 指向自身store 原来的内容
*/
import create from 'zustand'
import { persist } from "zustand/middleware"
let user:any = (set: Function, get: Function) => ({
    avatar: "",
    token: "",
    userNum: 99,
    addUserNum: () => set((state: { userNum: number; }) => ({ userNum: state.userNum + 1 })),
    subUserNum: () => set((state: { userNum: number; }) => ({ userNum: state.userNum - 1 })),
    fetch: async (voting: any) => {
        const response = await fetch(voting);
        const json = await response.json();
        set({
            userNum: json.items.length
        });
    },
    signOut:()=>{
        return new Promise((resolve:any,reject:any)=>{
            localStorage.removeItem("user-basket");
            resolve("removeUser Success!");
        })
        
    }
});
user = persist(user, { name: "user-basket" });
export default create(user);